$block: clients;

.#{$block} {
	overflow: hidden;
	color: $white;
	background: $red;

	&__wrap {
		position: relative;
		padding-top: 100px;
		padding-bottom: 50px;
	}

	&__main {
		z-index: 30;
		position: relative;
	}

	&__header {
		position: relative;
		margin-bottom: 20px;
		font-family: $font-family-head;

		&--label {
			width: 70px;
			font-weight: 700;
			line-height: 120%;
			text-align: right;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			padding-left: 70px;
			font-size: font-size-rel(22px);
		}
	}

	&__content {
		position: relative;
		padding-bottom: 80px;
	}

	&__slider {
		width: 140px;
		margin: 0 auto;

		.swiper-container {
			overflow: visible;
		}

		.swiper-slide {
			opacity: .4;
			transition: .3s;
		}

		.swiper-slide-active {
			opacity: 1;
			transition: .3s;
		}
	}

	&__nav {
		bottom: 0;
		position: absolute;

		&:before {
			top: 50%;
			z-index: 1;
			width: 300px;
			height: 1px;
			content: '';
			background: $white;
			position: absolute;
		}

		&--prev {
			left: 0;

			&:before {
				right: calc(100% - 10px);
			}
		}

		&--next {
			right: 0;

			&:before {
				left: calc(100% - 10px);
			}
		}
	}

	&__link {
		bottom: 35px;
		left: 0;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);
		color: $white;
		display: none;
		position: absolute;
		text-decoration: none;

		&:before {
			left: 0;
			height: 30px;
			top: calc(100% + 5px);
			content: '';
			width: 1px;
			background: $white;
			position: absolute;
			display: inline-block;
		}

		&:hover {
			color: $white;
			text-decoration: none;
		}
	}

	&__pattern {
		z-index: 20;
		width: 370px;
		right: -20px;
		top: -168px;
		display: none;
		position: absolute;
	}

	@media (min-width: $screen-xs-min) {

		&__slider {
			width: 100%;
			margin: 0 auto;
			max-width: 720px;

			.swiper-container {
				overflow: hidden;
			}

			.swiper-slide {
				opacity: 1;
			}
		}

		&__link {
			display: inline-block;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__wrap {
			display: flex;
			flex-direction: column;
		}

		&__header {

			&--label {
				width: 160px;
				font-size: font-size-rel(18px);
			}

			&--title {
				padding-left: 160px;
				font-size: font-size-rel(30px);
			}
		}

		&__content {
			padding: 0;
		}

		&__slider {
			width: 480px;
		}

		&__nav {
			bottom: auto;
			top: calc(50% - 30px);
		}

		&__link {
			display: inline-block;
		}
	}

	@media (min-width: $screen-md-min) {

		&__wrap {
			padding: 100px 0;
			min-height: 100vh;
		}

		&__slider {
			margin: 0 auto;
			width: 720px;
		}

		&__header {

			&--title {
				line-height: 120%;
				font-size: font-size-rel(40px);
			}
		}

		&__pattern {
			display: block;
		}
	}

	@media (min-width: $screen-lg-min) {

		&__slider {
			width: 880px;
			max-width: inherit;
		}
	}

	@media (min-width: $screen-xl-min) {

		&__header {
			margin-bottom: 65px;

			&--label {
				margin-bottom: 52px;
			}
		}
	}

}

